Subject: Re: bug#47699: [External] : bug#47699: [PATCH] Improve completion-list-mode-map

From: Gregory Heytings <[email-masked]>
Date: Mon, 12 Apr 2021 06:49:17 +0000

>>> FWIW, my voice says don't do any of this.  Just leave keymap 
>>> `completion-list-mode-map' alone.
>>
>> Why?  Almost no keys are defined in completion-list-mode-map, so why 
>> would it not be okay to define a few of them?
>
> I bind keys in it.
>
>>> (Likewise, the minibuffer keymaps.)
>>
>> Why?
>
> Same reason
>

I don't want to start another keybinding dispute with you, but it seems to 
me that you are wrong.  Can you perhaps explain how you (and Icicles 
users) would be affected by this change?  You said that you already have a 
(different) keybinding that does what I suggest, and that you bind the M-g 
key in the minibuffer to something else.  IOW, this change will have zero 
effect on you (and Icicles users): it will neither override one of your 
keys nor make one of the functionalities of vanilla Emacs unavailable for 
you (and Icicles users).